GET /food/ingredients/autocomplete

spoonacular.com

Summary: Autocomplete Ingredient Search
Operation ID: autocompleteIngredientSearch
Auth: unknown
Description

Autocomplete the entry of an ingredient.

Parameters (5)

intolerances (string, query, optional)

A comma-separated list of intolerances. All recipes returned must not contain ingredients that are not suitable for people with the intolerances entered. See a full list of supported intolerances.

language (string, query, optional)

The language of the input. Either 'en' or 'de'.

Constraints: {'enum': ['en', 'de']}

metaInformation (boolean, query, optional)

Whether to return more meta information about the ingredients.

number (integer, query, optional, default: 10)

The maximum number of items to return (between 1 and 100). Defaults to 10.

Constraints: {'minimum': 1, 'maximum': 100}

query (string, query, optional)

The (natural language) search query.

No probe data for this endpoint yet.